org.eclipse.jetty.plus.jaas.spi

## Class PropertyFileLoginModule

- java.lang.Object
- - org.eclipse.jetty.plus.jaas.spi.AbstractLoginModule
  - - org.eclipse.jetty.plus.jaas.spi.PropertyFileLoginModule

- All Implemented Interfaces:
    LoginModule

      public class PropertyFileLoginModule
      extends AbstractLoginModule

  PropertyFileLoginModule

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jetty.plus.jaas.spi.AbstractLoginModule

      `AbstractLoginModule.JAASUserInfo`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_FILENAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyFileLoginModule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `UserInfo` | `getUserInfo(String userName)` Don't implement this as we want to pre-fetch all of the users.
    `void` | `initialize(Subject subject, CallbackHandler callbackHandler, Map<String,?> sharedState, Map<String,?> options)` Read contents of the configured property file.

    - ### Methods inherited from class org.eclipse.jetty.plus.jaas.spi.AbstractLoginModule

      `abort, commit, configureCallbacks, getCallbackHandler, getCurrentUser, getSubject, isAuthenticated, isCommitted, login, logout, setAuthenticated, setCallbackHandler, setCommitted, setCurrentUser, setSubject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_FILENAME

          public static final String DEFAULT_FILENAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PropertyFileLoginModule

          public PropertyFileLoginModule()

  - ### Method Detail

    - #### initialize

          public void initialize(Subject subject,
                        CallbackHandler callbackHandler,
                        Map<String,?> sharedState,
                        Map<String,?> options)

      Read contents of the configured property file.
      Specified by:
        `initialize` in interface `LoginModule`
      Overrides:
        `initialize` in class `AbstractLoginModule`
      Parameters:
        `subject` -
        `callbackHandler` -
        `sharedState` -
        `options` -
      See Also:
        `LoginModule.initialize(javax.security.auth.Subject, javax.security.auth.callback.CallbackHandler, java.util.Map, java.util.Map)`

    - #### getUserInfo

          public UserInfo getUserInfo(String userName)
                               throws Exception

      Don't implement this as we want to pre-fetch all of the users.
      Specified by:
        `getUserInfo` in class `AbstractLoginModule`
      Parameters:
        `userName` -
      Throws:
        `Exception`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.